Account

External Bank Get All

POST
/account.external.bank.getAll

Request Body

application/jsonOptional
recipient_idstring

Response Body

Successful response

TypeScript Definitions

Use the response body type in TypeScript.

dataRequiredarray<object>

Error response

TypeScript Definitions

Use the response body type in TypeScript.

errorRequiredobject
curl -X POST "/v1/account.external.bank.getAll" \
  -H "Content-Type: application/json" \
  -d '{
    "recipient_id": "string"
  }'
const body = JSON.stringify({
  "recipient_id": "string"
})

fetch("/v1/account.external.bank.getAll", {
  body
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
  "strings"
)

func main() {
  url := "/v1/account.external.bank.getAll"
  body := strings.NewReader(`{
    "recipient_id": "string"
  }`)
  req, _ := http.NewRequest("POST", url, body)
  req.Header.Add("Content-Type", "application/json")
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "/v1/account.external.bank.getAll"
body = {
  "recipient_id": "string"
}
response = requests.request("POST", url, json = body, headers = {
  "Content-Type": "application/json"
})

print(response.text)
{
  "data": [
    {
      "id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "type": "BANK_ACCOUNT",
      "is_active": true,
      "metadata": {
        "type": "AUD",
        "account_name": "string",
        "account_number": "string",
        "nickname": "string",
        "bank": "string",
        "swift_code": "string",
        "bank_name": "string",
        "is_hidden": true,
        "has_transactions": true,
        "national_clearing_code": "string",
        "routing_number": "string",
        "bank_account_type": "checking",
        "bank_code": "string",
        "fps_id": "string",
        "clabe": "string",
        "pix_key": "string"
      },
      "account_id": "string",
      "user_id": "string"
    }
  ]
}
{
  "error": {
    "code": "PARSE_ERROR",
    "message": "string"
  }
}